#ifndef SERIAL_H
#define SERIAL_H
#include <termios.h>
#include <fcntl.h>
#include <unistd.h>

#ifdef __cplusplus
#include <iostream>
#endif

#define BAUDRATE B38400

void sWrite(int port, char string[], size_t length);

void sWrite(int port, const char string[], size_t length);

ssize_t sRead(int port, void *buf, size_t count);

#ifdef __cplusplus
void printRates();
#endif

int serialport_set_config(int fd, int baud);

int serialport_init(const char* device, int baud = BAUDRATE, bool block = false);


#endif // SERIAL_H
